@import "./styles.css";

.admin-console-modal-frame[content="travel-modal"] {
    width: 95%;
    left: 2.5%;
    height: 95%;
    top: 2.5%;
}

.admin-console-modal-center[content="travel-modal"] {
    display: grid;
    grid-template-areas:
        'header header right'
        'left list right';
    grid-template-rows: auto 1fr;
    grid-template-columns: 20rem 1fr auto;
    overflow: hidden;
    font-weight: 400;
    font-size: 0.65rem;
    position: relative;
}

.admin-travel-modal-center-header {
    grid-area: header;
    display: flex;
    flex-direction: row;
    padding: 0.8rem;
    width: 100%;
    border-bottom: 1px solid var(--grey200);
    background-color: var(--grey100);
}

.admin-travel-modal-center-list {
    grid-area: list;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    overflow: auto;
    row-gap: 0.6rem;
    padding: 0.6rem;
}

.admin-travel-modal-center-right {
    grid-area: right;
    display: flex;
    flex-direction: row;
    height: 100%;
    min-width: 0;
    width: 100%;
    overflow: hidden;
    right: 0;
    top: 0;
    box-shadow: none;
    position: absolute;
    transition: min-width 0.2s linear;
}

.admin-travel-modal-center-right[show=true] {
    min-width: 24rem;
    /* min-width: fit-content; */
    z-index: 20;
    /* border-left: 1px solid var(--grey200); */
    box-shadow: var(--boxShadow);
}

.admin-travel-modal-center-left {
    grid-area: left;
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
    border-right: 1px solid var(--grey200);
    background-color: var(--grey100);
    overflow: hidden;
}

.admin-travel-modal-center-left-header {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    padding: 0.8rem;
    border-bottom: 1px solid var(--grey200);
    background-color: var(--grey100);
}

.admin-travel-modal-center-left-userList {
    display: flex;
    flex-direction: column;
    row-gap: 0.4rem;
    height: 100%;
    width: 100%;
    padding: 0.8rem;
    overflow: auto;
    background-color: var(--grey100);
}

.admin-travel-modal-center-left-userList-createBtn {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 0.6rem 0.8rem;
    color: var(--grey50);
    background-color: var(--indigo500);
    box-shadow: var(--boxShadow);
    width: fit-content;
    border-radius: 4px;
    font-weight: 500;
    transition: background-color 0.2s linear, color 0.2s linear, border 0.2s linear, box-shadow 0.2s linear, opacity 0.2s linear;
}

.admin-travel-modal-center-left-userList-createBtn:hover {
    cursor: pointer;
    color: var(--indigo500);
    background-color: transparent;
    box-shadow: none;
}

.admin-travel-modal-center-left-list-customDiv {
    display: grid;
    grid-template-areas:
        'info'
        'input-ref'
        'input-phone';
    /* grid-template-columns: 8rem 1fr; */
    column-gap: 0.4rem;
    row-gap: 0.4rem;
    width: 100%;
    padding: 0.8rem;
    border-radius: 4px;
    font-size: 0.65rem;
    color: var(--grey50);
    background-color: var(--indigo500);
    border: 1px solid var(--indigo500);
    box-shadow: var(--boxShadow);
    transition: background-color 0.2s linear, color 0.2s linear, border 0.2s linear, box-shadow 0.2s linear, opacity 0.2s linear;
}

/* .admin-travel-modal-center-left-list-userDiv:not(:last-child) {
    border-bottom: 1px solid var(--grey200);
} */

.admin-travel-modal-center-left-list-customDiv:hover {
    cursor: pointer;
    color: var(--grey900);
    background-color: var(--lightBlue);
    border: 1px solid var(--dm4);
    box-shadow: none;
}

.admin-travel-modal-center-left-list-customDiv[draggable=false]:hover {
    cursor: auto;
}

.admin-travel-modal-center-left-list-customDiv[focus=true] {
    /* background-color: tomato; */
}

.admin-travel-modal-center-left-list-customDiv[drag=true] {
    /* color: var(--grey50);
    background-color: var(--indigo500); */
    opacity: 0.5;
    transform: translate(0, 0);
}

.admin-travel-modal-center-left-list-customDiv-info {
    grid-area: info;
    display: flex;
    font-weight: 500;
    /* padding: 0.8rem; */
    width: 14rem;
}

.admin-travel-modal-center-left-list-customDiv-info-el {
    font-weight: 500;
}

.admin-travel-modal-center-left-list-customDiv-input {
    display: flex;
    /* text-align: center; */
    text-align: start;
    padding: 0.4rem;
    font-family: 'Quicksand';
    font-size: 0.6rem;
    font-weight: 500;
    border: 1px solid var(--grey200);
    border-radius: 4px;
    background-color: var(--grey50);
    width: 10rem;
    transition: color 0.2s linear, background-color 0.2s linear, border 0.2s linear;
}

.admin-travel-modal-center-left-list-customDiv-input:hover {
    /* background-color: var(--lightBlue); */
    border: 1px solid var(--indigo500);
}

.admin-travel-modal-center-left-list-customDiv-input:focus {
    background-color: var(--lightBlue);
    border: 1px solid var(--indigo500);
}

.admin-travel-modal-center-left-list-userDiv {
    display: grid;
    grid-template-areas: 'info travel';
    grid-template-columns: 8rem 1fr;
    column-gap: 0.4rem;
    row-gap: 0.4rem;
    width: 100%;
    padding: 0.8rem;
    border-radius: 4px;
    font-size: 0.65rem;
    color: var(--grey50);
    background-color: var(--dm4);
    border: 1px solid var(--dm4);
    box-shadow: var(--boxShadow);
    transition: background-color 0.2s linear, color 0.2s linear, border 0.2s linear, box-shadow 0.2s linear, opacity 0.2s linear;
}

/* .admin-travel-modal-center-left-list-userDiv:not(:last-child) {
    border-bottom: 1px solid var(--grey200);
} */

.admin-travel-modal-center-left-list-userDiv:hover {
    cursor: pointer;
    color: var(--grey900);
    background-color: var(--lightBlue);
    /* border: 1px solid var(--dm4); */
    box-shadow: none;
}

.admin-travel-modal-center-left-list-userDiv[focus=true] {
    /* background-color: tomato; */
}

.admin-travel-modal-center-left-list-userDiv[drag=true] {
    /* color: var(--grey50);
    background-color: var(--indigo500); */
    opacity: 0.5;
    transform: translate(0, 0);
}

.admin-travel-modal-center-left-list-userDiv-info {
    grid-area: info;
    display: flex;
    /* padding: 0.8rem; */
    width: 14rem;
}

.admin-travel-modal-center-left-list-userDiv-info-el {
    font-weight: 500;
}

.admin-travel-modal-center-left-list-userDiv-travel {
    grid-area: travel;
    display: flex;
    justify-content: flex-end;
    align-items: flex-start;
    flex-wrap: wrap;
    column-gap: 0.4rem;
    row-gap: 0.4rem;
    /* padding: 0.8rem; */
}

.admin-travel-modal-center-left-list-userDiv-travel-booking {
    display: flex;
    justify-content: center;
    align-items: center;
    height: fit-content;
    width: fit-content;
    padding: 0rem 0.2rem;
    column-gap: 0.2rem;
    border-radius: 4px;
    background-color: var(--grey50);
    border: 2px solid transparent;
    box-shadow: var(--boxShadow);
    position: relative;
    transition: opacity 0.2s linear, background-color 0.2s linear, border 0.2s linear;
}

.admin-travel-modal-center-left-list-userDiv-travel-booking::before {
    content: '';
    color: var(--grey900);
    font-family: "material symbols rounded";
    font-weight: 300;
    font-size: 1.2rem;
    display: flex;
    /* height: 10px;
    width: 10px;
    border-radius: 50%; */
    /* background-color: var(--indigo500); */
    /* border: 2px solid transparent; */
    transition: opacity 0.2s linear, background-color 0.2s linear, border 0.2s linear;
}

.admin-travel-modal-center-left-list-userDiv-travel-booking::after {
    content: '';
    color: var(--grey900);
    font-family: "material symbols rounded";
    font-weight: 300;
    font-size: 1.2rem;
    display: flex;
    /* height: 10px;
    width: 10px;
    border-radius: 50%; */
    /* background-color: var(--indigo500); */
    /* border: 2px solid transparent; */
    transition: opacity 0.2s linear, background-color 0.2s linear, border 0.2s linear;
}

.admin-travel-modal-center-left-list-userDiv-travel-booking[direction="outbound"]::after {
    content: 'arrow_circle_right';
}

.admin-travel-modal-center-left-list-userDiv-travel-booking[direction="return"]::after {
    content: 'arrow_circle_left';
}

.admin-travel-modal-center-left-list-userDiv-travel-booking[type="driver"]::before {
    content: 'airport_shuttle';
}

.admin-travel-modal-center-left-list-userDiv-travel-booking[type="passenger"]::before {
    content: 'airline_seat_recline_extra';
}

/* .admin-travel-modal-center-left-list-userDiv-travel-booking[confirm-status="pending"]::before {
    background-color: var(--deepPurple400);
}


.admin-travel-modal-center-left-list-userDiv-travel-booking[confirm-status="waiting"]::before {
    background-color: #FFC107;
}

.admin-travel-modal-center-left-list-userDiv-travel-booking[confirm-status="confirmed"]::before {
    background-color: var(--green500);
} */

/* center travel list */
.admin-travel-modal-center-list-travelDiv {
    display: grid;
    grid-template-areas:
        'header header'
        'dheader pheader'
        'driver passenger';
    grid-template-columns: auto 1fr;
    grid-template-rows: auto auto 1fr;
    width: 100%;
    border-radius: 4px;
    overflow: hidden;
    box-shadow: var(--boxShadow);
    /* border-bottom: 1px solid var(--grey200); */
    transition: background-color 0.2s linear, color 0.2s linear, border 0.2s linear, box-shadow 0.2s linear, opacity 0.2s linear;
}

.admin-travel-modal-center-list-travelDiv-header {
    grid-area: header;
    display: grid;
    grid-template-columns: auto 6rem 8rem 1fr auto auto auto 1fr;
    justify-content: flex-start;
    align-items: center;
    row-gap: 0.2rem;
    column-gap: 0.6rem;
    font-size: 0.7rem;
    font-weight: 500;
    padding: 0.6rem 0.6rem;
    /* background-color: var(--grey100); */
    color: var(--grey50);
    background-color: var(--dm3);
    /* border-bottom: 1px solid var(--grey200); */
    transition: background-color 0.2s linear, color 0.2s linear, border 0.2s linear, box-shadow 0.2s linear, opacity 0.2s linear;
}

.admin-travel-modal-center-list-travelDiv:hover .admin-travel-modal-center-list-travelDiv-header {
    /* color: var(--grey50); */
    /* background-color: var(--dm3); */
    /* border-bottom: 1px solid var(--dm3); */
}

.admin-travel-modal-center-list-travelDiv-header[direction='outbound']::before {
    content: 'arrow_circle_right';
    font-family: "material symbols rounded";
    font-weight: 300;
    font-size: 1.4rem;
    display: flex;
}

.admin-travel-modal-center-list-travelDiv-header[direction='return']::before {
    content: 'arrow_circle_left';
    font-family: "material symbols rounded";
    font-weight: 300;
    font-size: 1.4rem;
    display: flex;
}

.admin-travel-modal-center-list-travelDiv-header-deleteBtn {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 0.4rem 0.6rem;
    color: var(--grey50);
    background-color: var(--red500);
    box-shadow: var(--boxShadow);
    width: fit-content;
    border-radius: 4px;
    font-size: 0.6rem;
    font-weight: 500;
    margin-left: auto;
    transition: background-color 0.2s linear, color 0.2s linear, border 0.2s linear, box-shadow 0.2s linear, opacity 0.2s linear;
}

.admin-travel-modal-center-list-travelDiv-header-deleteBtn:hover {
    cursor: pointer;
    color: var(--grey50);
    background-color: transparent;
    box-shadow: none;
}

.admin-travel-modal-center-list-travelDiv-header-el {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    column-gap: 0.4rem;
}

.admin-travel-modal-center-list-travelDiv-header-el[ref="direction"] {
    /* font-size: 0.8rem; */
    /* font-weight: 500; */
    /* padding-right: 2rem; */
}

.admin-travel-modal-center-list-travelDiv-header-el[ref="start"]::before {
    content: 'flight_takeoff';
    font-family: "material symbols rounded";
    font-weight: 300;
    font-size: 1.2rem;
    padding-left: 2rem;
    display: flex;
}

.admin-travel-modal-center-list-travelDiv-header-el[ref="end"]::after {
    content: 'flight_land';
    font-family: "material symbols rounded";
    font-weight: 300;
    font-size: 1.2rem;
    display: flex;
}

.admin-travel-modal-center-list-travelDiv-driver-header {
    grid-area: dheader;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    column-gap: 0.6rem;
    row-gap: 0.6rem;
    padding: 0.4rem 0.8rem;
    font-weight: 500;
    background-color: var(--grey100);
    border-bottom: 1px solid var(--grey200);
    border-right: 1px solid var(--grey200);
    transition: background-color 0.2s linear, color 0.2s linear, border 0.2s linear, box-shadow 0.2s linear, opacity 0.2s linear;
}

.admin-travel-modal-center-list-travelDiv-driver-header::before {
    content: 'airport_shuttle';
    font-family: "material symbols rounded";
    font-weight: 300;
    font-size: 1.2rem;
    display: flex;
}

.admin-travel-modal-center-list-travelDiv-driver {
    grid-area: driver;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;
    min-width: 14rem;
    min-height: 8rem;
    column-gap: 0.6rem;
    row-gap: 0.6rem;
    padding: 0.8rem;
    /* background-color: var(--grey50); */
    background-color: var(--lightBlue);
    border-right: 1px dashed var(--indigo500);
    transition: background-color 0.2s linear, color 0.2s linear, border 0.2s linear, box-shadow 0.2s linear, opacity 0.2s linear;
}

.admin-travel-modal-center-list-travelDiv-driver:hover {
    /* background-color: var(--indigo500); */
}

.admin-travel-modal-center-list-travelDiv-driver[dragover=true] {
    background-color: var(--indigo500);
}

.admin-travel-modal-center-list-travelDiv-passenger-header {
    grid-area: pheader;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    column-gap: 0.6rem;
    row-gap: 0.6rem;
    padding: 0.4rem 0.8rem;
    font-weight: 500;
    /* color: var(--grey50); */
    background-color: var(--grey100);
    border-bottom: 1px solid var(--grey200);
    transition: background-color 0.2s linear, color 0.2s linear, border 0.2s linear, box-shadow 0.2s linear, opacity 0.2s linear;
}

.admin-travel-modal-center-list-travelDiv-passenger-header::before {
    content: 'airline_seat_recline_extra ';
    font-family: "material symbols rounded";
    font-weight: 300;
    font-size: 1.2rem;
    display: flex;
}

.admin-travel-modal-center-list-travelDiv-passenger {
    grid-area: passenger;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;
    flex-wrap: wrap;
    column-gap: 0.6rem;
    row-gap: 0.6rem;
    padding: 0.8rem;
    overflow: hidden;
    background-color: var(--lightBlue);
    transition: background-color 0.2s linear, color 0.2s linear, border 0.2s linear, box-shadow 0.2s linear, opacity 0.2s linear;
}

.admin-travel-modal-center-list-travelDiv-passenger:hover {
    background-color: var(--lightBlue);
}

.admin-travel-modal-center-list-travelDiv-passenger[dragover=true] {
    background-color: var(--indigo500);
}

.admin-travel-modal-center-list-travelDiv-booking {
    display: grid;
    grid-template-areas:
        'info delete'
        'edit edit';
    grid-template-columns: 1fr auto;
    grid-template-rows: auto 1fr;
    padding: 0.8rem 0.8rem;
    row-gap: 0.4rem;
    column-gap: 0.4rem;
    background-color: var(--grey50);
    border: 1px solid var(--grey50);
    border-radius: 4px;
    box-shadow: var(--boxShadow);
    transition: background-color 0.2s linear, color 0.2s linear, border 0.2s linear, box-shadow 0.2s linear, opacity 0.2s linear;
}

.admin-travel-modal-center-list-travelDiv-booking:hover {
    /* background-color: var(--lightBlue); */
    border: 1px solid var(--indigo500);
    box-shadow: none;
}

.admin-travel-modal-center-list-travelDiv-booking-deleteBtn {
    grid-area: delete;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 0.2rem 0.6rem;
    color: var(--grey50);
    background-color: var(--red500);
    box-shadow: var(--boxShadow);
    width: fit-content;
    border-radius: 4px;
    font-size: 0.6rem;
    font-weight: 500;
    transition: background-color 0.2s linear, color 0.2s linear, border 0.2s linear, box-shadow 0.2s linear, opacity 0.2s linear;
}

.admin-travel-modal-center-list-travelDiv-booking-deleteBtn:hover {
    cursor: pointer;
    color: var(--red500);
    background-color: transparent;
    box-shadow: none;
}

.admin-travel-modal-center-list-travelDiv-booking[focus=true] {
    /* background-color: var(--green500); */
    border: 1px solid var(--indigo500);
}

.admin-travel-modal-center-list-travelDiv-booking[type="driver"] {
    color: var(--grey900);
    /* background-color: var(--pinkA200); */
}

.admin-travel-modal-center-list-travelDiv-booking-info {
    grid-area: info;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    font-weight: 500;
}

.admin-travel-modal-center-list-travelDiv-booking-edit {
    grid-area: edit;
    display: grid;
    grid-template-areas:
        'start-time start-location'
        'end-time end-location'
        'note note';
    grid-template-columns: auto 1fr;
    row-gap: 0.4rem;
    column-gap: 0.4rem;
}

/* .admin-travel-modal-center-list-travelDiv-booking-edit-el {
    display: flex;
} */

.admin-travel-modal-center-list-travelDiv-booking-edit-field {}

.admin-travel-modal-center-list-travelDiv-booking-edit-field[ref="note"] {
    grid-area: note;
    width: 100%;
}

.admin-travel-modal-center-list-travelDiv-booking-edit-field-input {
    display: flex;
    /* text-align: center; */
    text-align: start;
    padding: 0.4rem;
    font-family: 'Quicksand';
    font-size: 0.6rem;
    font-weight: 500;
    border: 1px solid var(--grey200);
    border-radius: 4px;
    background-color: var(--grey50);
    width: 6rem;
    transition: color 0.2s linear, background-color 0.2s linear, border 0.2s linear;
}

.admin-travel-modal-center-list-travelDiv-booking-edit-field-input[ref="start-time"] {
    text-align: center;
    width: 4rem;
}

.admin-travel-modal-center-list-travelDiv-booking-edit-field-input[ref="end-time"] {
    text-align: center;
    width: 4rem;
}

.admin-travel-modal-center-list-travelDiv-booking-edit-field-input[ref="note"] {
    text-align: start;
    width: 100%;
}


.admin-travel-modal-center-list-travelDiv-booking-edit-field-input:hover {
    /* background-color: var(--lightBlue); */
    border: 1px solid var(--indigo500);
}

.admin-travel-modal-center-list-travelDiv-booking-edit-field-input:focus {
    background-color: var(--lightBlue);
    border: 1px solid var(--indigo500);
}

/* right composer */
.admin-travel-modal-center-right-composer {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    height: 100%;
    width: 100%;
    padding: 0.8rem;
    row-gap: 0.6rem;
    overflow: auto;
    background-color: var(--grey100);
}

.admin-travel-modal-center-right-composer-field {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    row-gap: 0.4rem;
}

.admin-travel-modal-center-right-composer-title {
    font-weight: 500;
}

.admin-travel-modal-center-right-composer-field[required=true] .admin-travel-modal-center-right-composer-title::after {
    content: '*';
    font-family: 'Quicksand';
    font-weight: 600;
    font-size: 0.85rem;
    color: var(--red200);
    margin-left: 0.2rem;
}

.admin-travel-modal-center-right-composer-description {
    color: var(--grey600);
}

.admin-travel-modal-center-right-composer-field-input {
    font-family: 'Quicksand';
    padding: 0.6rem;
    font-size: 0.65rem;
    font-weight: 500;
    border: 1px solid var(--grey200);
    border-radius: 4px;
    background-color: var(--grey50);
    width: 12rem;
    transition: background-color 0.2s linear, color 0.2s linear, border 0.2s linear;
}

.admin-travel-modal-center-right-composer-field-input[ref="mode-description"] {
    width: 20rem;
}

.admin-travel-modal-center-right-composer-field-input:hover {
    border: 1px solid var(--indigo500);

}

.admin-travel-modal-center-right-composer-field-input:focus {
    border: 1px solid var(--indigo500);
    background-color: var(--lightBlue);
}

.admin-travel-modal-center-right-composer-actions {
    grid-area: actions;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    column-gap: 0.8rem;
    row-gap: 0.8rem;
    padding-top: 0.8rem;
}

.admin-travel-modal-center-right-composer-addBtn {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 0.6rem 0.8rem;
    color: var(--grey50);
    background-color: var(--indigo500);
    box-shadow: var(--boxShadow);
    width: fit-content;
    border-radius: 4px;
    font-weight: 500;
    transition: background-color 0.2s linear, color 0.2s linear, border 0.2s linear, box-shadow 0.2s linear, opacity 0.2s linear;
}

.admin-travel-modal-center-right-composer-addBtn:hover {
    cursor: pointer;
    color: var(--indigo500);
    background-color: transparent;
    box-shadow: none;
}

.admin-travel-modal-center-right-composer-addBtn[active=false] {
    pointer-events: none;
    background-color: var(--grey200);
    color: var(--grey600);
    box-shadow: none;
}

.admin-travel-modal-center-right-composer-cancelBtn {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 0.6rem 0.8rem;
    color: var(--grey50);
    background-color: var(--indigo500);
    box-shadow: var(--boxShadow);
    width: fit-content;
    border-radius: 4px;
    font-weight: 500;
    transition: background-color 0.2s linear, color 0.2s linear, border 0.2s linear, box-shadow 0.2s linear, opacity 0.2s linear;
}

.admin-travel-modal-center-right-composer-cancelBtn:hover {
    cursor: pointer;
    color: var(--indigo500);
    background-color: transparent;
    box-shadow: none;
}